ROCM-PODMAN-RUN(1)

NAME
rocm-podman-run - rocm-podman-run

DESCRIPTION
Run a command in a podman container with GPU support

This is a thin wrapper around podman-run(1) that takes care of adding all of the arguments necessary for using the GPU in the container. All arguments to bin/rocm-podman-run are passed on straight to podman-run.

  Synopsis:

    bin/rocm-podman-run -h

    bin/rocm-podman-run [podman-run args]

OPTIONS

-h  Show this help

EXAMPLES

    # Configure the system for GPU-in-container use

    $ rocm-podman-setup -u <user>

    # Create an image first, if needed

    $ rocm-podman-create -m http://10.1.2.3:9999/debian rocm/debian:unstable

    # Call just as if you would call 'podman run'

    $ bin/rocm-podman-run --rm -it rocm/debian:unstable